Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface Installer

All Known Implementing Classes:
  LegacyInstaller, LocalDirInstaller

public interface Installer

The interface describing a J2EE module installer. This is used by the InstallerFactory class to install a J2EE module from a URL.

Author:
  Scott.Stark@jboss.org

Field Summary
`static java.lang.String[]` | `files` The J2EE module deployment descriptors handled by the Installer.

Method Summary
`Deployment` | `execute(InstallerFactory factory, java.net.URL src)`

Field Detail

### files

    public static final java.lang.String[] files

  The J2EE module deployment descriptors handled by the Installer. The order is the order of the XXX_MODULE constants defined in the Deployment class.

Method Detail

### execute

    public Deployment execute(InstallerFactory factory,
                              java.net.URL src)
                       throws J2eeDeploymentException,
                              java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.